SimpleDateFormat
Date: 2016-06-24

java.text

## Class SimpleDateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - java.text.SimpleDateFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class SimpleDateFormat
      extends DateFormat

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDateFormat()`
    `SimpleDateFormat(String var0)`
    `SimpleDateFormat(String var0, DateFormatSymbols var1)`
    `SimpleDateFormat(String var0, Locale var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyLocalizedPattern(String var0)`
    `void` | `applyPattern(String var0)`
    `StringBuffer` | `format(Date var0, StringBuffer var1, FieldPosition var2)`
    `Date` | `get2DigitYearStart()`
    `DateFormatSymbols` | `getDateFormatSymbols()`
    `Date` | `parse(String var0, ParsePosition var1)`
    `void` | `set2DigitYearStart(Date var0)`
    `void` | `setDateFormatSymbols(DateFormatSymbols var0)`
    `String` | `toLocalizedPattern()`
    `String` | `toPattern()`

    - ### Methods inherited from class java.text.DateFormat

      `format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleDateFormat

          public SimpleDateFormat()

    - #### SimpleDateFormat

          public SimpleDateFormat(String var0)

    - #### SimpleDateFormat

          public SimpleDateFormat(String var0,
                          DateFormatSymbols var1)

    - #### SimpleDateFormat

          public SimpleDateFormat(String var0,
                          Locale var1)

  - ### Method Detail

    - #### applyLocalizedPattern

          public void applyLocalizedPattern(String var0)

    - #### applyPattern

          public void applyPattern(String var0)

    - #### format

          public StringBuffer format(Date var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `DateFormat`

    - #### get2DigitYearStart

          public Date get2DigitYearStart()

    - #### getDateFormatSymbols

          public DateFormatSymbols getDateFormatSymbols()

    - #### parse

          public Date parse(String var0,
                   ParsePosition var1)

      Specified by:
        `parse` in class `DateFormat`

    - #### set2DigitYearStart

          public void set2DigitYearStart(Date var0)

    - #### setDateFormatSymbols

          public void setDateFormatSymbols(DateFormatSymbols var0)

    - #### toLocalizedPattern

          public String toLocalizedPattern()

    - #### toPattern

          public String toPattern()